summaryrefslogtreecommitdiff
path: root/update-tests.sh
diff options
context:
space:
mode:
authorNadrieril2020-03-01 15:36:44 +0000
committerNadrieril2020-03-05 15:58:54 +0000
commite277fb2f7316fef5c20e7c485eeba1f14328d621 (patch)
treeb98f98219709bb0f72157ba489da9225707e04a8 /update-tests.sh
parent81ce30dde067ca0067fda32b1e0ade1dbdfbdf58 (diff)
Run tests from repo root as specified in spec
Diffstat (limited to 'update-tests.sh')
-rwxr-xr-xupdate-tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update-tests.sh b/update-tests.sh
index d58b4c5..91ac2ed 100755
--- a/update-tests.sh
+++ b/update-tests.sh
@@ -12,7 +12,7 @@ Usage: update-tests.sh [missing | add]
END
)
-cd "$(dirname "$0")/dhall" || exit 1
+cd "$(dirname "$0")" || exit 1
if [ ! -x "$(which dhall)" ] ; then
echo "Error: 'dhall' executable not found in PATH"
@@ -89,7 +89,7 @@ function generate_output_file() {
if [ "$1" = "missing" ]; then
echo "Generating missing output files..."
for folder in parser binary-decode semantic-hash import type-inference normalization alpha-normalization; do
- for root in "../dhall-lang/tests" "tests"; do
+ for root in "dhall-lang/tests" "dhall/tests"; do
# This is not robust to spaces in filenames, but hopefully there should be none
fd 'A\.dhallb?$' "$root/$folder/success" \
| sed 's/A.dhallb\?$//' \